org.firebirdsql.gds.ng

## Enum FetchType

- java.lang.Object
- - java.lang.Enum<FetchType>
  - - org.firebirdsql.gds.ng.FetchType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FetchType>

      public enum FetchType
      extends java.lang.Enum<FetchType>

  Type of fetch. Parallels P_FETCH from Firebird.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE`
    `FIRST`
    `LAST`
    `NEXT`
    `PRIOR`
    `RELATIVE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FetchDirection` | `direction(int position)` Determine the direction of a fetch with the specified position.
    `int` | `getFbFetchType()`
    `boolean` | `supportsBatch()`
    `static FetchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FetchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEXT

          public static final FetchType NEXT

    - #### PRIOR

          public static final FetchType PRIOR

    - #### FIRST

          public static final FetchType FIRST

    - #### LAST

          public static final FetchType LAST

    - #### ABSOLUTE

          public static final FetchType ABSOLUTE

    - #### RELATIVE

          public static final FetchType RELATIVE

  - ### Method Detail

    - #### values

          public static FetchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FetchType c : FetchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FetchType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFbFetchType

          public int getFbFetchType()

      Returns:
        Firebird fetch type (P_FETCH)

    - #### supportsBatch

          public boolean supportsBatch()

      Returns:
        `true` allows batched fetch (multiple rows), `false` if fetching only a single row is allowed

    - #### direction

          public abstract FetchDirection direction(int position)

      Determine the direction of a fetch with the specified position.
      Parameters:
        `position` - Position (only for `ABSOLUTE` or `RELATIVE`)
      Returns:
        Fetch direction

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.